Documentation

Email Validation Endpoint

Validate deliverability of an email address; when the domain resolves to a known company, a company enrichment summary is attached.

GET
/v3/email/validate

Authorization

BearerAuth
AuthorizationBearer <token>

Enrich Layer API key, sent as Authorization: Bearer <key>

In: header

Query Parameters

email*string

Email address to validate

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.enrichlayer.com/v3/email/validate?email=satya%40microsoft.com"
{
  "email": "string",
  "emailStatus": "string",
  "validatedAt": "string",
  "gateway": "string",
  "isDisposable": true,
  "isConsumer": true,
  "isDomainCatchall": true,
  "mxRecords": [
    "string"
  ],
  "company": {
    "name": "string",
    "industry": "string",
    "size": [
      0
    ],
    "foundedYear": 0,
    "hq": {
      "country": "string",
      "city": "string",
      "postalCode": "string",
      "address": "string",
      "isHq": true,
      "state": "string"
    },
    "slug": "string",
    "id": "string",
    "type": "string",
    "socialLinks": {
      "facebookUrl": "string",
      "twitterUrl": "string"
    }
  }
}
{
  "code": 400,
  "name": "Bad Request",
  "description": "Provide email parameter"
}
{
  "code": 401,
  "name": "Unauthorized",
  "description": "Invalid API key"
}

{
  "code": 403,
  "name": "Forbidden",
  "description": "Account has been suspended. Please email [email protected] for more information."
}

{
  "code": 429,
  "name": "Too Many Requests",
  "description": "Rate limit exceeded. See https://enrichlayer.com/docs/guides/rate-limits"
}
{
  "code": 500,
  "name": "Internal Server Error",
  "description": "Failed to fetch data"
}
{
  "code": 503,
  "name": "Service Unavailable",
  "description": "Billing service unavailable"
}